Subject: Re: MPC8541E DMA transfer

From: Clemens Koller <[email-masked]>
Date: Thu, 04 Aug 2005 14:12:39 +0200

Hello, Bizhan!
and all the other mpc85xx DMA fans.

I am working on the mpc85xx dma stuff (based on Jason's work)
on the lastest 2.6.x kernels. My cpu is a mpc8540.
That's all work in progress, so have a look at the code.

Attached you will find some of my test code (a separate kernal module)
which should compile fine for 2.6 now. Make a symlink ~/linux to the
latest 2.6 kernel or change the makefile. There is also the latest
immap_85xx.h (almost complete) included. Some old code is commented out...

Not all code is enabled in the module yet, and the dma_test routine
copys data from physical memory you might not have in your hardware.
Please change that according to your setup.

Feedback is welcome!

Enjoy!

Clemens Koller
_______________________________
R&D Imaging Devices
Anagramm GmbH
Rupert-Mayer-Str. 45/1
81379 Muenchen
Germany

http://www.anagramm.de
Phone: +49-89-741518-50
Fax: +49-89-741518-19

Bizhan Gholikhamseh (bgholikh) wrote:
> Is there any support in Linux 2.6.X for using this controller, if so,
> are you aware of any test driver I can take a look at?
> 
> Thanks,
> Bizhan
> 
> Many thanks in  
> 
> -----Original Message-----
> From: Kumar Gala [mailto:[email-masked]] 
> Sent: Wednesday, August 03, 2005 11:24 AM
> To: Bizhan Gholikhamseh (bgholikh)
> Cc: [email-masked]
> Subject: Re: MPC8541E DMA transfer
> 
> I dont see any reason you couldn't use the internal DMA engine on the
> MPC8541E to do what you need.  You will just need to schedule the work
> every 10ms.
> 
> - kumar
> 
> On Aug 3, 2005, at 10:04 AM, Bizhan Gholikhamseh \(((bgholikh\))) wrote:
> 
> 
>>Hi all,
>>I am developing a linux driver (2.6.10) for Freescale MPC8541E 
>>(customized board) to read and write 8 buffers (each buffer is 960 
>>bytes
>>long) every 10 ms to/from a custom made PCI card with on board DSP 
>>Chip.
>>The chip's internal and external memories are memory mapped to the CPU
> 
> 
>>address space.
>>For reason that is beyond the discussion here, the DMA request line on
> 
> 
>>the PCI card is not connected although the PCI card has DMA 
>>capabilities.
>>So what are my options?
>>Could I still do DMA transfer from the Host to the device?
>>
>>Many thanks in advance,
>>Bizhan
>>
>><ATT293768.txt>
>>
> _______________________________________________
> Linuxppc-embedded mailing list
> [email-masked]
> https://ozlabs.org/mailman/listinfo/linuxppc-embedded
>